//
// Computergraphik II
// Prof. Dr. Juergen Doellner
// Wintersemester 2001/02
// 
// Rahmenprogramm zu Aufgabenzettel 4
//

#ifndef CG_MATERIAL_H
#define CG_MATERIAL_H

#include "cgapplication.h"

static const int XWindows = 4;
static const int YWindows = 4;

class CGMaterial : public CGApplication {
public:
    CGMaterial();
    virtual ~CGMaterial();

    // Ueberschreibe alle diese Ereignisse:
    virtual void onInit();
    virtual void onDraw();        
    virtual void onIdle();
    virtual void onKey(unsigned char key);    
    virtual void onSize(unsigned int newWidth, unsigned int newHeight);

    // value Methode
    unsigned char value(int x, int z) const;
    
private:

    void setLight(int x, int y);
    void setMaterial(int x, int y);
    void setSmallViewport(int x, int y);
    void drawScene();

    int width_;
    int height_;
    double zoom_;
    bool run_;
	int mode_;
};

#endif

